/* list of variables */
:root{
    --red-bi: #C7203C;
    --blue-bi: #085C8C;
    --white-bi: #EDEDED;
}
body{
    position: relative;
}
body::before{
    content: "";
    position: absolute;
    z-index: -10;
    height: 30%;
    top: 0;
    left: 0;
    /* bottom: 0;  */ /* Removed 'bottom: 0' as it would conflict with setting the height */
    right: 0;
    background: url('../images/pattern.png') repeat;
    background-size: 100px 100px;
    background-blend-mode: overlay;
    opacity: 0.15; 
    filter: brightness(0.7); 
}
body::after{
    content: "";
    position: absolute;
    z-index: -1;
    height: 30%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(to bottom, transparent 70%, white 100%);
    z-index: -9;
}
.word-overflow-break{
    overflow-wrap: anywhere;
}

/* navbar */
.navlist-child{
    display: flex;
    visibility: hidden;
    translate: 0 10px;
    opacity: 0;
}
.navlist:hover .navlist-child{
    display: flex;
    visibility: visible;
    translate: 0 0;
    opacity: 1;
    transition: all 0.3s ease-in-out ;
}
.line{
    transition-property: all;
    transition-duration: 0.3s;
    transition-timing-function: ease;    
}
.hamburger.active .line:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
    background-color: var(--red-bi);
}
.hamburger.active .line:nth-child(2) {
    opacity: 0;
}
.hamburger.active .line:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
    background-color: var(--red-bi);
}
.mobile-nav {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

.mobile-nav.show {
    opacity: 1;
    visibility: visible;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}
/* end navbar */

/* scroll bar */
.custom-scrollbar::-webkit-scrollbar {
    width: 5px;
}
.custom-scrollbar::-webkit-scrollbar-thumb {
    background: var(--blue-bi);
    border-radius: 5px;
}
/* end scroll bar */

/* pattern */
.pattern-blue{
    background: var(--blue-bi);
    position: relative;
    z-index: 0;
    overflow: hidden;
    }
    .pattern-blue::after{
        content: "";
        position: absolute;
        z-index: -1;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        background: url('../images/pattern.png') repeat;
        background-size: 100px 100px;
        background-blend-mode: overlay;
        opacity: 0.15;
    }
.pattern-only::after{
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: url('../images/pattern.png') repeat;
    background-size: 100px 100px;
    background-blend-mode: overlay;
    opacity: 0.15; 
    filter: brightness(0.7); 
}

.pattern-gradient {
    position: relative;
    background-color: rgba(8, 92, 140, 1);  /* Background color */
    z-index: -11;
    }
    
    .pattern-gradient::before,
    .pattern-gradient::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }
    
    .pattern-gradient::before {
        background: url('../images/pattern.png') repeat;
        opacity: 0.5; /* You could adjust this as needed */
        z-index: -10;
        background-size: 200px 200px;
    }
    
    .pattern-gradient::after {
        background: linear-gradient(to left, transparent, rgba(8, 92, 140, 1));
        z-index: -9;
    }
/* end pattern */

/* hero */
.mask {
    /* circle */
    /* -webkit-mask: radial-gradient(circle at center, rgba(0,0,0,1) 70%, transparent 100%);
    mask: radial-gradient(circle at center, rgba(0,0,0,1) 70%, transparent 100%); */

    /* only on bottom */
    -webkit-mask: linear-gradient(to bottom, black 0%, black 80%, transparent 100%);
    mask: linear-gradient(to bottom, black 0%, black 80%, transparent 100%);
}
/* END hero */

/* Bengkulu Map */
.cls-1 {
    fill-rule: evenodd;
}

.cls-1, .cls-2 {
    fill: #a7a9ac;
    stroke: #fff;
    stroke-miterlimit: 10;
}

.cls-1:hover {
    fill: var(--red-bi);
}

.city-name-display {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s;
}
/* END Bengkulu Map */


/* Calendar */
.date-cell:hover .tooltip{
    opacity: 1;
    visibility: visible;
    transition: all 0.3s ease-in-out;
}
/* END Calendar */


/* GSAP */
#navbar {
    opacity: 0;
    transform: translateY(-50px);
}
.animate-div, #footer{
    opacity: 0;
    transform: translateY(50px);
}
/* Slide in out animation */
.month-list, .year-list {
    visibility: hidden;
    opacity: 0;
    transform: translateY(-10%);
}
.slide-in {
    visibility: hidden;
    opacity: 0;
    transform: translateY(-50%);
}
.slide-out {
    visibility: visible;
    opacity: 0;
    transform: translateY(0%);
}
/* END Slide in out animation */
